﻿namespace ShoopNCook;
using ShoopNCook.Pages;
using Models;
using Models.Endpoint;
using LocalEndpoint;

public partial class App : Application, ConnectionObserver
{

    private IEndpoint endpoint = new LocalEndpoint();

    public App()
    {
        InitializeComponent();


        Shell shell = new ConnectAppShell(this, endpoint.AccountManager);
        shell.GoToAsync("//Splash");
        MainPage = shell;
    }

    public void OnAccountConnected(Account account)
    {
       Shell shell = new MainAppShell(account);
        shell.GoToAsync("//MainPage");
        MainPage = shell;
    }
}